( function( $ ){
    $( document ).ready( function(){

      $( '#setup-demo-import' ).on( 'click', function( e ) {
          e.preventDefault();
          $( this ).html( 'Processing.. Please wait' ).addClass( 'updating-message' );

          // এখানে nonce যুক্ত করা হয়েছে
          var ajax_data = {
              'action': 'install_act_plugin',
              'nonce' : author_personal_blog_ajax_object.nonce
          };

          $.post( author_personal_blog_ajax_object.ajax_url, ajax_data, function( response ){
              // সফল হলে রিডাইরেক্ট করবে
              location.href = 'themes.php?page=advanced-import';
          } ).fail(function(xhr, status, error) {
              // এরোর হলে কনসোলে দেখাবে, যাতে পরে ডিবাগ করা সহজ হয়
              console.log( 'AJAX Error: ' + status + ' - ' + error );
          });
      } );
    } );

}( jQuery ) );